# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/14
import os
import sys

sys.path.append(os.getcwd())
from common.common import Common
from xiaoniangaoplus.xiaoniangaoplus.xiaoniangao_plus_scheduling import XiaoNianGaoPlusRecommend


def xiaoniangao_plus_recommend_main(log_type, crawler, env):
    Common.logger(log_type, crawler).info(f'开始抓取:小年糕播放\n')
    Common.logging(log_type, crawler, env, "开始抓取:小年糕播放\n")
    XiaoNianGaoPlusRecommend.start_wechat(log_type=log_type,
                                          crawler=crawler,
                                          rule_dict={"duration": {"min": 40, "max": 0},
                                                     "play_cnt": {"min": 2000000, "max": 0},
                                                     "period": {"min": 60, "max": 60}},
                                          our_uid=6267140,
                                          env=env)
    Common.logger(log_type, crawler).info("抓取一轮结束\n")
    Common.logging(log_type, crawler, env, "抓取一轮结束\n")


if __name__ == "__main__":
    xiaoniangao_plus_recommend_main("recommend", "xiaoniangao", "dev")
